Feb 122017
 

Howdy all!

There looks to be a bug with cPanel 11.62 and EasyApache 4 which causes Softaculous to fail when attempting to install software. You will probably see an error in Softaculous stating that it can’t connect to MySQL. You will also see something like the following in cPanel’s error log.

cPanel LiveAPI parser returned XML, which is deprecated. Please file a bug report at https://tickets.cpanel.net/submit/
sh: /opt/cpanel//root/usr/bin/php: No such file or directory
[2017-02-09 17:14:04 -0500] warn [cpaneld] The subprocess (cpanel (cpanel)) exited with an error: The subprocess ended prematurely because it received the “SEGV” (11) signal. The process dumped a core file. at /usr/local/cpanel/Cpanel/Server/Handlers/SubProcess.pm line 159.
Cpanel::Server::Handlers::SubProcess::_report_subprocess_errors(Cpanel::Server::Handlers::SubProcess=HASH(0x2b7b180)) called at /usr/local/cpanel/Cpanel/Server/Handlers/SubProcess.pm line 74
Cpanel::Server::Handlers::SubProcess::handler(Cpanel::Server::Handlers::SubProcess=HASH(0x2b7b180), "subprocess_name", "cpanel (cpanel)", "subprocess_read_handle", IO::Handle=GLOB(0x2b7afa0), "subprocess_write_handle", IO::Handle=GLOB(0x2b7af88), "api_type", ...) called at cpsrvd.pl line 6476
    cpanel::cpsrvd::cpHandler("app", "cpanel", "document", "./frontend/paper_lantern/softaculous/index.live.php") called at cpsrvd.pl line 2363
    cpanel::cpsrvd::dodoc_cpaneld() called at cpsrvd.pl line 1607
    cpanel::cpsrvd::dodoc(HASH(0x13a7770)) called at cpsrvd.pl line 1314
    cpanel::cpsrvd::handle_one_connection() called at cpsrvd.pl line 849
    cpanel::cpsrvd::script() called at cpsrvd.pl line 319

This is a known bug in cPanel 11.62 that was in line for repair, but apparently is still an issue.
https://www.softaculous.com/board/index.php?tid=9987&pid=34008
Softaculous pushed an update which provides a work-around for this. You should be able to update Softaculous by running its cron.php.

/usr/local/cpanel/3rdparty/bin/php /usr/local/cpanel/whostmgr/docroot/cgi/softaculous/cron.php

The version with the workaround should be 4.8.8.

Share This!
 Posted by at 8:51 am